Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.security
Class MemberQueryType

    java.lang.Object
      com.plumtree.remote.prc.collaboration.security.MemberQueryType

public class MemberQueryType
extends java.lang.Object

An enumerated type used to retrieve a specific type of member in a role, used in `IRole.getMemberIDs`.

Field Summary
`static MemberQueryType` | `ALL_GROUPS` All groups.
`static MemberQueryType` | `ALL_USERS` All users.
`static MemberQueryType` | `COMMUNITY_GUESTS` Community guests.
`static MemberQueryType` | `COMMUNITY_MANAGERS` Community managers.
`static MemberQueryType` | `COMMUNITY_MEMBERS` Community members.
`static MemberQueryType` | `NON_COMMUNITY_GROUPS` Non-community groups.
`static MemberQueryType` | `NON_COMMUNITY_USERS` Non-community users.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL_USERS

    public static final MemberQueryType ALL_USERS

  All users.

### ALL_GROUPS

    public static final MemberQueryType ALL_GROUPS

  All groups.

### NON_COMMUNITY_USERS

    public static final MemberQueryType NON_COMMUNITY_USERS

  Non-community users.

### NON_COMMUNITY_GROUPS

    public static final MemberQueryType NON_COMMUNITY_GROUPS

  Non-community groups.

### COMMUNITY_GUESTS

    public static final MemberQueryType COMMUNITY_GUESTS

  Community guests.

### COMMUNITY_MEMBERS

    public static final MemberQueryType COMMUNITY_MEMBERS

  Community members.

### COMMUNITY_MANAGERS

    public static final MemberQueryType COMMUNITY_MANAGERS

  Community managers.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.